## Class Swift_StreamFilters_StringReplacementFilter

(line 18)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/StreamFilters/StringReplacementFilter.php

##### Processes bytes as they pass through a buffer and replaces sequences in it.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_StreamFilters_StringReplacementFilter __construct (string|array $search, string|array $replace)
string filter (string $buffer)
boolean shouldBuffer (string $buffer)

#### Constructor __construct (line 32)

#### Swift_StreamFilters_StringReplacementFilter __construct( string|array $search, string|array $replace)

##### Create a new StringReplacementFilter with $search and $replace.

#### Parameters

- string|array $search:
- string|array $replace:

#### Info

- access - public

#### Method filter (line 61)

#### string filter( string $buffer)

Implementation of:

Swift_StreamFilter::filter()
  Filters $buffer and returns the changes.

##### Perform the actual replacements on $buffer and return the result.

#### Parameters

- string $buffer:

#### Info

- access - public

#### Method shouldBuffer (line 43)

#### boolean shouldBuffer( string $buffer)

Implementation of:

Swift_StreamFilter::shouldBuffer()
  Based on the buffer given, this returns true if more buffering is needed.

##### Returns true if based on the buffer passed more bytes should be buffered.

#### Parameters

- string $buffer:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:30 +0000 by phpDocumentor 1.4.3